#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces

# import packages


def include_package(config):
    """Pyramid include"""

    # add translations
    config.add_translation_dirs('onf_website:locales')

    # add custom JSON-RPC endpoints
    config.add_jsonrpc_endpoint('onf_website', '/api/onf_website/json')

    # load registry components of overriden packages
    config.include('pyams_content')
    config.include('pyams_content_es')

    # load registry components
    config.scan()

    if hasattr(config, 'load_zcml'):
        config.load_zcml('configure.zcml')
